Fatal error: PPFrame_DOM::expand: Invalid parameter type
Closed, ResolvedPublic

Assigned To
None
Priority
Unbreak Now!
Author
Raymond
Subscribers
Nemo_bis, He7d3r, demon and 7 others
Projects
Reference
bz26429
Description

Seen today in various variants ( http://pastebin.com/S3G5EmPg ) on dewiki, maybe related to "Problems with db27 server, Large replag on S3, writes may not be visible directly" http://wikitech.wikimedia.org/index.php?title=Server_admin_log&action=historysubmit&diff=30992&oldid=30989

PPFrame_DOM::expand: Invalid parameter type

Backtrace:

0 /usr/local/apache/common-local/wmf-deployment/includes/parser/Parser.php(2733): PPFrame_DOM->expand(Object(PPNode_DOM), 0)
1 /usr/local/apache/common-local/wmf-deployment/includes/parser/Parser.php(935): Parser->replaceVariables(''Gr??nheide...')
2 /usr/local/apache/common-local/wmf-deployment/includes/parser/Parser.php(335): Parser->internalParse(''Gr??nheide...')
3 [internal function]: Parser->parse(''Gr??nheide...', Object(Title), Object(ParserOptions), true, true, 82118939)
4 /usr/local/apache/common-local/wmf-deployment/includes/StubObject.php(58): call_user_func_array(Array, Array)
5 /usr/local/apache/common-local/wmf-deployment/includes/StubObject.php(76): StubObject->_call('parse', Array)
6 [internal function]: StubObject->__call('parse', Array)
7 /usr/local/apache/common-local/wmf-deployment/extensions/FlaggedRevs/FlaggedRevs.class.php(499): StubObject->parse(''Gr??nheide...', Object(Title), Object(ParserOptions), true, true, 82118939)
8 /usr/local/apache/common-local/wmf-deployment/extensions/FlaggedRevs/FlaggedArticleView.php(633): FlaggedRevs::parseStableText(Object(Title), ''Gr??nheide...', 82118939, Object(ParserOptions))
9 /usr/local/apache/common-local/wmf-deployment/extensions/FlaggedRevs/FlaggedArticleView.php(297): FlaggedArticleView->showStableVersion(Object(FlaggedRevision), , NULL)
10 /usr/local/apache/common-local/wmf-deployment/extensions/FlaggedRevs/FlaggedRevs.hooks.php(1466): FlaggedArticleView->setPageContent(false, true)
11 [internal function]: FlaggedRevsHooks::onArticleViewHeader(Object(Article), false, true)
12 /usr/local/apache/common-local/wmf-deployment/includes/Hooks.php(133): call_user_func_array(Array, Array)
13 /usr/local/apache/common-local/wmf-deployment/includes/Article.php(817): wfRunHooks('ArticleViewHead...', Array)
14 /usr/local/apache/common-local/wmf-deployment/includes/Wiki.php(493): Article->view()
15 /usr/local/apache/common-local/wmf-deployment/includes/Wiki.php(70): MediaWiki->performAction(Object(OutputPage), Object(Article), Object(Title), Object(User), Object(WebRequest))
16 /usr/local/apache/common-local/wmf-deployment/index.php(117): MediaWiki->performRequestForTitle(Object(Title), Object(Article), Object(OutputPage), Object(User), Object(WebRequest))
17 /usr/local/apache/common-local/live-1.5/index.php(3): require('/usr/local/apac...')
18 {main}

Version: unspecified
Severity: blocker

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz26429.
Raymond created this task.Via LegacyDec 25 2010, 8:12 PM
Nikerabbit added a comment.Via ConduitDec 25 2010, 8:39 PM
  • This bug has been marked as a duplicate of bug 26430 ***
Raymond added a comment.Via ConduitDec 25 2010, 8:39 PM
  • Bug 26430 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitDec 25 2010, 8:56 PM

brall wrote:

Seems to be a reason of changing the MySQL master by mark.
http://wikitech.wikimedia.org/view/Server_admin_log

  • changed importance to high/critical ***
He7d3r added a comment.Via ConduitDec 25 2010, 10:38 PM

I got the error again. Here is a copy:


PPFrame_DOM::expand: Invalid parameter type
Backtrace:
#0 /usr/local/apache/common-local/wmf-deployment/includes/parser/Parser.php(2733): PPFrame_DOM->expand(Object(PPNode_DOM), 0)
#1 /usr/local/apache/common-local/wmf-deployment/includes/parser/Parser.php(518): Parser->replaceVariables('<div id="editno...')
#2 /usr/local/apache/common-local/wmf-deployment/includes/parser/Parser.php(4194): Parser->preprocess('<div id="editno...', Object(Title), Object(ParserOptions))
#3 /usr/local/apache/common-local/wmf-deployment/includes/MessageCache.php(674): Parser->transformMsg('<div id="editno...', Object(ParserOptions))
#4 /usr/local/apache/common-local/wmf-deployment/includes/GlobalFunctions.php(744): MessageCache->transform('<div id="editno...')
#5 /usr/local/apache/common-local/wmf-deployment/includes/GlobalFunctions.php(707): wfMsgGetKey('editnotice-10', true, true, true)
#6 /usr/local/apache/common-local/wmf-deployment/includes/GlobalFunctions.php(655): wfMsgReal('editnotice-10', Array, true, true)
#7 /usr/local/apache/common-local/wmf-deployment/includes/EditPage.php(369): wfMsgForContent('editnotice-10')
#8 /usr/local/apache/common-local/wmf-deployment/includes/EditPage.php(271): EditPage->edit()
#9 /usr/local/apache/common-local/wmf-deployment/includes/Wiki.php(553): EditPage->submit()
#10 /usr/local/apache/common-local/wmf-deployment/includes/Wiki.php(70): MediaWiki->performAction(Object(OutputPage), Object(Article), Object(Title), Object(User), Object(WebRequest))
#11 /usr/local/apache/common-local/wmf-deployment/index.php(117): MediaWiki->performRequestForTitle(Object(Title), Object(Article), Object(OutputPage), Object(User), Object(WebRequest))
#12 /usr/local/apache/common-local/live-1.5/index.php(3): require('/usr/local/apac...')

#13 {main}

He7d3r added a comment.Via ConduitDec 25 2010, 11:21 PM

This time the error was:

MediaWiki internal error.

Original exception: exception 'MWException' with message 'PPFrame_DOM::expand: Invalid parameter type' in /usr/local/apache/common-local/wmf-deployment/includes/parser/Preprocessor_DOM.php:1056
Stack trace:
#0 /usr/local/apache/common-local/wmf-deployment/includes/parser/Parser.php(2733): PPFrame_DOM->expand(Object(PPNode_DOM), 0)
#1 /usr/local/apache/common-local/wmf-deployment/includes/parser/Parser.php(935): Parser->replaceVariables('<div class="mw-...')
#2 /usr/local/apache/common-local/wmf-deployment/includes/parser/Parser.php(335): Parser->internalParse('<div class="mw-...')
#3 [internal function]: Parser->parse('<div class="mw-...', Object(Title), Object(ParserOptions), true, true, NULL)
#4 /usr/local/apache/common-local/wmf-deployment/includes/StubObject.php(58): call_user_func_array(Array, Array)
#5 /usr/local/apache/common-local/wmf-deployment/includes/StubObject.php(76): StubObject->_call('parse', Array)
#6 [internal function]: StubObject->__call('parse', Array)
#7 /usr/local/apache/common-local/wmf-deployment/includes/OutputPage.php(1145): StubObject->parse('<div class="mw-...', Object(Title), Object(ParserOptions), true, true, NULL)
#8 /usr/local/apache/common-local/wmf-deployment/includes/OutputPage.php(2570): OutputPage->parse('<div class="mw-...', true, true)
#9 /usr/local/apache/common-local/wmf-deployment/includes/EditPage.php(717): OutputPage->wrapWikiMsg('<div class="mw-...', 'newarticletext')
#10 /usr/local/apache/common-local/wmf-deployment/includes/EditPage.php(361): EditPage->showIntro()
#11 /usr/local/apache/common-local/wmf-deployment/includes/EditPage.php(271): EditPage->edit()
#12 /usr/local/apache/common-local/wmf-deployment/includes/Wiki.php(553): EditPage->submit()
#13 /usr/local/apache/common-local/wmf-deployment/includes/Wiki.php(70): MediaWiki->performAction(Object(OutputPage), Object(Article), Object(Title), Object(User), Object(WebRequest))
#14 /usr/local/apache/common-local/wmf-deployment/index.php(117): MediaWiki->performRequestForTitle(Object(Title), Object(Article), Object(OutputPage), Object(User), Object(WebRequest))
#15 /usr/local/apache/common-local/live-1.5/index.php(3): require('/usr/local/apac...')
#16 {main}

Exception caught inside exception handler: exception 'MWException' with message 'PPFrame_DOM::expand: Invalid parameter type' in /usr/local/apache/common-local/wmf-deployment/includes/parser/Preprocessor_DOM.php:1056
Stack trace:
#0 /usr/local/apache/common-local/wmf-deployment/includes/parser/Parser.php(2733): PPFrame_DOM->expand(Object(PPNode_DOM), 0)
#1 /usr/local/apache/common-local/wmf-deployment/includes/parser/Parser.php(518): Parser->replaceVariables('{{SITENAME}} ({...')
#2 /usr/local/apache/common-local/wmf-deployment/includes/parser/Parser.php(4194): Parser->preprocess('{{SITENAME}} ({...', Object(Title), Object(ParserOptions))
#3 /usr/local/apache/common-local/wmf-deployment/includes/MessageCache.php(674): Parser->transformMsg('{{SITENAME}} ({...', Object(ParserOptions))
#4 /usr/local/apache/common-local/wmf-deployment/includes/GlobalFunctions.php(744): MessageCache->transform('{{SITENAME}} ({...')
#5 /usr/local/apache/common-local/wmf-deployment/includes/GlobalFunctions.php(707): wfMsgGetKey('opensearch-desc', true, true, true)
#6 /usr/local/apache/common-local/wmf-deployment/includes/GlobalFunctions.php(655): wfMsgReal('opensearch-desc', Array, true, true)
#7 /usr/local/apache/common-local/wmf-deployment/includes/Skin.php(203): wfMsgForContent('opensearch-desc')
#8 /usr/local/apache/common-local/wmf-deployment/skins/Vector.php(31): Skin->initPage(Object(OutputPage))
#9 /usr/local/apache/common-local/wmf-deployment/includes/SkinTemplate.php(146): SkinVector->initPage(Object(OutputPage))
#10 /usr/local/apache/common-local/wmf-deployment/includes/OutputPage.php(1559): SkinTemplate->outputPage(Object(OutputPage))
#11 /usr/local/apache/common-local/wmf-deployment/includes/Exception.php(164): OutputPage->output()
#12 /usr/local/apache/common-local/wmf-deployment/includes/Exception.php(191): MWException->reportHTML()
#13 /usr/local/apache/common-local/wmf-deployment/includes/Exception.php(289): MWException->report()
#14 /usr/local/apache/common-local/wmf-deployment/includes/Exception.php(348): wfReportException(Object(MWException))
#15 [internal function]: wfExceptionHandler(Object(MWException))

#16 {main}

bzimport added a comment.Via ConduitDec 26 2010, 5:40 AM

nagle wrote:

Another one, attempting to fetch history of a page on Wikipedia:

Internal error
From Wikipedia, the free encyclopedia
View logs for this page
Jump to: navigation, search

PPFrame_DOM::expand: Invalid parameter type

Backtrace:

#0 /usr/local/apache/common-local/wmf-deployment/includes/parser/Parser.php(2733): PPFrame_DOM->expand(Object(PPNode_DOM), 0)
#1 /usr/local/apache/common-local/wmf-deployment/includes/parser/Parser.php(935): Parser->replaceVariables('[[Special:Tags|...')
#2 /usr/local/apache/common-local/wmf-deployment/includes/parser/Parser.php(335): Parser->internalParse('[[Special:Tags|...')
#3 [internal function]: Parser->parse('[[Special:Tags|...', Object(Title), Object(ParserOptions), true, true, NULL)
#4 /usr/local/apache/common-local/wmf-deployment/includes/StubObject.php(58): call_user_func_array(Array, Array)
#5 /usr/local/apache/common-local/wmf-deployment/includes/StubObject.php(76): StubObject->_call('parse', Array)
#6 [internal function]: StubObject->__call('parse', Array)
#7 /usr/local/apache/common-local/wmf-deployment/includes/OutputPage.php(1145): StubObject->parse('[[Special:Tags|...', Object(Title), Object(ParserOptions), true, true, NULL)
#8 /usr/local/apache/common-local/wmf-deployment/includes/GlobalFunctions.php(884): OutputPage->parse('[[Special:Tags|...', true, true)
#9 /usr/local/apache/common-local/wmf-deployment/includes/ChangeTags.php(165): wfMsgExt('tag-filter', 'parseinline')
#10 /usr/local/apache/common-local/wmf-deployment/includes/HistoryPage.php(129): ChangeTags::buildTagFilterSelector(NULL)
#11 /usr/local/apache/common-local/wmf-deployment/includes/Wiki.php(566): HistoryPage->history()
#12 /usr/local/apache/common-local/wmf-deployment/includes/Wiki.php(70): MediaWiki->performAction(Object(OutputPage), Object(Article), Object(Title), Object(User), Object(WebRequest))
#13 /usr/local/apache/common-local/wmf-deployment/index.php(117): MediaWiki->performRequestForTitle(Object(Title), Object(Article), Object(OutputPage), Object(User), Object(WebRequest))
#14 /usr/local/apache/common-local/live-1.5/index.php(3): require('/usr/local/apac...')
#15 {main}

Bawolff added a comment.Via ConduitDec 26 2010, 9:35 AM
  • Bug 26435 has been marked as a duplicate of this bug. ***
Arkanosis added a comment.Via ConduitDec 26 2010, 10:41 AM

One more, when publishing with conflict (frwiki).

http://pastebin.com/r7yeYvR7

BTW: is it actually useful to post these stacks?

Best regards,

bzimport added a comment.Via ConduitDec 26 2010, 11:10 AM

brall wrote:

Seems to be fixed temporary, if the error appears, try to purge the page.

Nemo_bis added a comment.Via ConduitDec 26 2010, 11:40 AM

Created attachment 7930
DOM error and 4 Jimbos

Another example on itwiki (with four Jimbo banners): http://p.defau.lt/?FZf_Pi_W9OtG03dOXu0d1A

Attached:

Krinkle added a comment.Via ConduitDec 26 2010, 12:41 PM

Appeared again on a page I didn't visit before, and likely no body else in a while (random old revision id)
http://www.mediawiki.org/wiki/Special:Code/MediaWiki/44719
http://pastie.org/1406373

Platonides added a comment.Via ConduitDec 26 2010, 5:39 PM

Was fixed by restarting srv227.

demon added a comment.Via ConduitDec 30 2010, 6:26 PM
  • Bug 26347 has been marked as a duplicate of this bug. ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.